%global gem_name hashr
%if 0%{?rhel} == 6
%global gem_dir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%global gem_docdir %{gem_dir}/doc/%{gem_name}-%{version}
%global gem_cache %{gem_dir}/cache/%{gem_name}-%{version}.gem
%global gem_spec %{gem_dir}/specifications/%{gem_name}-%{version}.gemspec
%global gem_instdir %{gem_dir}/gems/%{gem_name}-%{version} 
%endif

Summary: Simple Hash extension to make working with nested hashes
Name: rubygem-%{gem_name}
Version: 0.0.22
Release: 12%{?dist}
Group: Development/Languages
License: MIT
URL: http://github.com/svenfuchs/hashr
Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
Patch0: rubygem-hashr-minitest5.patch
Requires: rubygems
Requires: ruby(release)
%if 0%{?fedora}
BuildRequires: rubygems-devel
%endif
BuildRequires: rubygems

%if 0%{?fedora}
BuildRequires: rubygem(minitest) >= 5.0.0
BuildRequires: rubygem(test_declarative)
%endif

BuildArch: noarch
Provides: rubygem(%{gem_name}) = %{version}

%description
Simple Hash extension to make working with nested hashes (e.g. for
configuration) easier and less error-prone.

%package doc
BuildArch:  noarch
Requires:   %{name} = %{version}-%{release}
Summary:    Documentation for rubygem-%{gem_name}

%description doc
This package contains documentation for rubygem-%{gem_name}.

%prep
gem unpack %{SOURCE0}
%setup -q -D -T -n  %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%build

# Create the gem as gem install only works on a gem file
gem build %{gem_name}.gemspec

%gem_install
rm -rf ./%{gem_dir}/gems/%{gem_name}-%{version}/.yardoc

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a ./%{gem_dir}/* %{buildroot}%{gem_dir}/
rm %{buildroot}%{gem_instdir}/{README.md,MIT-LICENSE}

%files
%dir %{gem_instdir}
%{gem_instdir}/lib
%{gem_cache}
%{gem_spec}
%doc MIT-LICENSE

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile*
%{gem_instdir}/Rakefile
%doc README.md
%{gem_instdir}/test

%check
%if 0%{?fedora}
cat %PATCH0 | patch -p1
sed -i '/require.*bundler/d' test/test_helper.rb
ruby -Ilib:test -e "Dir.glob './test/*_test.rb', &method(:require)"
%endif

%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.22-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.22-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.22-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.22-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.22-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.22-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jul 07 2014 Josef Stribny <jstribny@redhat.com> - 0.0.22-6
- Fix test suite for minitest 5

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.22-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.22-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Mar 13 2013 Miroslav Suchý <msuchy@redhat.com> - 0.0.22-3
- Rebuild for https://fedoraproject.org/wiki/Features/Ruby_2.0.0

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.22-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Nov 09 2012 Miroslav Suchý <msuchy@redhat.com> 0.0.22-1
- 874857 - rebase to rubygem-hashr-0.0.22 (msuchy@redhat.com)

* Wed Aug 08 2012 Miroslav Suchý <msuchy@redhat.com> 0.0.21-3
- 845799 - -doc subpackage require the main package (msuchy@redhat.com)
- 845799 - move test/ Gemfile* and Rakefile to -doc subpackage
  (msuchy@redhat.com)
- 845799 - simplify test (msuchy@redhat.com)

* Wed Aug 08 2012 Miroslav Suchý <msuchy@redhat.com> 0.0.21-2
- run test only in F17+ (msuchy@redhat.com)
- 845799 - use test-suite (msuchy@redhat.com)
- 845799 - use rubygems macros (msuchy@redhat.com)
- create subpackage rubygem-hashr-doc (msuchy@redhat.com)
- rubygem-hashr is released under MIT license (msuchy@redhat.com)
- 845799 - use %%global instead %%define (msuchy@redhat.com)

* Sat Aug 04 2012 Miroslav Suchý <msuchy@redhat.com> 0.0.21-1
- remove generated yardoc (msuchy@redhat.com)
- remove unused macros (msuchy@redhat.com)
- make summary shorter (msuchy@redhat.com)
- rebase to 0.0.21 (msuchy@redhat.com)

* Wed Jul 04 2012 Miroslav Suchý <msuchy@redhat.com> 0.0.19-3
- edit spec for Fedora 17 (msuchy@redhat.com)

* Tue Feb 28 2012 Brad Buckingham <bbuckingham@redhat.com> 0.0.19-2
- hashr - backing down to 0.0.19-2 (bbuckingham@redhat.com)

* Tue Feb 28 2012 Brad Buckingham <bbuckingham@redhat.com> 0.0.20-1
- hashr spec - update content autogenerated by gen2rpm (bbuckingham@redhat.com)

* Tue Feb 28 2012 Brad Buckingham <bbuckingham@redhat.com> - 0.0.19-1
- Initial package
